##### GENERAL STUFF #####

%define major	5
%define libname	%mklibname exif-gtk %{major}

Summary:	Library to access EXIF files (extended JPEG files)
Name:		libexif-gtk
Version:	0.3.5
Release:	%mkrel 7
License:	LGPL
Group:		Graphics
Url:		http://sourceforge.net/projects/libexif/

##### SOURCE FILES #####

Source: http://belnet.dl.sourceforge.net/sourceforge/libexif/libexif-gtk-%{version}.tar.bz2

##### ADDITIONAL DEFINITIONS #####

BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires:	libexif-devel libgtk+2.0-devel libglib2.0-devel

##### SUB-PACKAGES #####

%description
Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

This library does not contain any documentation, but it seems to make
the connection between libexif, the core library for EXIF, and
GTK-based graphical frontends.

%package -n %{libname}
Summary:	Library to access EXIF files (extended JPEG files)
Provides:	libexif-gtk
Group:		Graphics
Conflicts:	%{_lib}exif-gtk4

%description  -n %{libname}
Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

This library does not contain any documentation, but it seems to make
the connection between libexif, the core library for EXIF, and
GTK-based graphical frontends.

%package -n %{libname}-devel
Summary: Headers and links to compile against the "%{libname}" library
Requires: 	%{libname} = %{version}
Provides:	libexif-gtk-devel
Group:		Development/C

%description -n %{libname}-devel
This package contains all files which one needs to compile programs using
the "%{libname}" library.


##### PREP #####

%prep
%setup -q

# Disable GTK_DISABLE_DEPRECATED macro
sed -i s/-DGTK_DISABLE_DEPRECATED// */Makefile.*

##### BUILD #####

%build
# "autogen" is needed because we have a CVS snapshot.
#./autogen.sh
%configure2_5x
%make

##### INSTALL #####

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

# Install the README files of the source tarball in the doc directory
#cp *.txt $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}

%find_lang %{name}

##### PRE/POST INSTALL SCRIPTS #####

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%postun -n %{libname}
%if %mdkversion < 200900
/sbin/ldconfig
%endif

##### CLEAN UP #####

%clean
rm -rf $RPM_BUILD_ROOT

##### FILE LISTS FOR ALL BINARY PACKAGES #####

##### libexif-gtk
%files -n %{libname} -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog
%{_libdir}/*.so.*

##### %{libname}-devel
%files  -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*




%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3.5-7mdv2009.0
+ Revision: 222543
- rebuild
- fix spacing at top of description

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - normalize call to ldconfig in %%post/%%postun

* Sun Jan 13 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3.5-6mdv2008.1
+ Revision: 150558
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Aug 31 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.3.5-5mdv2008.0
+ Revision: 76823
- Disable GTK_DISABLE_DEPRECATED macro, otherwise it won't compile anymore.


* Mon Jan 15 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 0.3.5-4mdv2007.0
+ Revision: 109122
- Fixed devel group. Closes: #28138
- Import libexif-gtk

* Mon Sep 11 2006 Frederic Crozat <fcrozat@mandriva.com> 0.3.5-4mdv2007.0
- Add conflict to ease upgrade from Mdv 2006

* Wed May 17 2006 Till Kamppeter <till@mandriva.com> 0.3.5-3mdk
- Introduced %%mkrel.

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.3.5-2mdk
- Rebuild

* Sat Nov 27 2004 Till Kamppeter <till@mandrakesoft.com> 0.3.5-1mdk
- Updated to version 0.3.5.

